package be.iminds.ilabt.jfed.rspec.model.impl;


import be.iminds.ilabt.jfed.rspec.model.ExecuteService;

/**
 * ExecuteService
 */
public class BasicExecuteService implements ExecuteService {
    private String shell;
    private String command;
    private String finishedFile;

    public BasicExecuteService(String shell, String command) {
        this.shell = shell;
        this.command = command;
    }

    public BasicExecuteService(String shell, String command, String finishedFile) {
        this.shell = shell;
        this.command = command;
        this.finishedFile = finishedFile;
    }

    public BasicExecuteService(ExecuteService es) {
        this(es.getShell(), es.getCommand());
        this.finishedFile = es.getFinishedFile();
    }

    @Override
    public String getShell() {
        return shell;
    }

    @Override
    public String getCommand() {
        return command;
    }

    @Override
    public void setShell(String shell) {
        this.shell = shell;
    }

    @Override
    public void setCommand(String command) {
        this.command = command;
    }

    public String getFinishedFile() {
        return finishedFile;
    }

    @Override
    public void setFinishedFile(String finishedFile) {
        this.finishedFile = finishedFile;
    }
}
